View Issue Details

IDProjectCategoryView StatusLast Update
0029642Open CASCADEOCCT:Foundation Classespublic2021-12-17 18:41
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.0.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0029642: Foundation Classes - deprecate TCollection classes except strings
DescriptionTCollection package was used to define generic CDL collections, which are now out of use (replaced by templated versions from NCollection package). It is a time to define all that stuff deprecated (and remove it in the next version).
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0030165 closedbugmaster Foundation Classes, TColStd_PackedMapOfInteger - provide flag for pre-allocating map of fixed size 
parent of 0031943 closedbugmaster Foundation Classes, TColStd_PackedMapOfInteger - get rid of TCollection_BasicMap 
related to 0031636 closedbugmaster Codig Rules, OMFAlgo - replace TCollection templates with NCollection 

Activities

abv

2020-11-16 22:07

manager   ~0096801

Note that TColStd_PackedMapOfInteger is still using TCollection_BasicMap, it should be redirected to NCollection to remove TCollection_BasicMap

git

2020-11-17 09:45

administrator   ~0096813

Branch CR29642 has been created by kgv.

SHA-1: 583709dfbef0986342f225ef2c00ac86dafb87e8


Detailed log of new commits:

Author: kgv
Date: Mon Jun 29 10:35:07 2020 +0300

    0029642: Foundation Classes - deprecate TCollection classes except strings
    
    Removed remnants of generic templates in TCollection package.

git

2020-11-17 10:00

administrator   ~0096816

Branch CR29642 has been updated forcibly by kgv.

SHA-1: d25303111ea640c86b573258aec6116c01c9bf31

git

2020-11-17 10:00

administrator   ~0096817

Branch CR29642 has been updated by kgv.

SHA-1: 99828a1b90cf83bbc9f60e82b72b8f2835fd94fa


Detailed log of new commits:

Author: kgv
Date: Tue Nov 17 10:00:22 2020 +0300

    Removed TCollection_BasicMap class.

kgv

2020-11-17 19:13

developer   ~0096844

Patch is ready for review
- OCCT branch: CR29642;
- Products branch: CR29642.

git

2020-11-17 19:15

administrator   ~0096845

Branch CR29642 has been updated forcibly by kgv.

SHA-1: b1f0fc1d529d7d93c29e1a566c930c5c57f3f0cc

git

2020-11-18 10:08

administrator   ~0096863

Branch CR29642 has been updated forcibly by kgv.

SHA-1: 3f9b720d49f306ff2178ae3ebc8c7539cbc9c96e

osa

2020-11-18 10:28

developer   ~0096865

The patch was reviewed without remarks

git

2020-11-18 10:49

administrator   ~0096866

Branch CR29642 has been updated forcibly by kgv.

SHA-1: 5d1c699c7ac13fd9273a86438be60c5aa7ce7b6d

bugmaster

2020-11-21 12:42

administrator   ~0096929

Combination -
OCCT branch : IR-2020-11-20
master SHA - c5892d852bb462075f9db03f31085e35d7b59f35
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-11-20 SHA - a5d1f89f5fa83c955e6a604f57a5b590eb433b43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18024.090000000127 / 17964.340000000077 [+0.33%]
Products
Total CPU difference: 12166.12000000011 / 12169.520000000111 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19696.90625 / 19723.125 [-0.13%]
Products
Total CPU difference: 13644.875 / 13567.078125 [+0.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-11-21 13:27

administrator   ~0096947

Branch CR29642 has been deleted by inv.

SHA-1: 5d1c699c7ac13fd9273a86438be60c5aa7ce7b6d

Related Changesets

occt: master 81ff4915

2020-06-29 07:35:07

kgv


Committer: bugmaster Details Diff
0029642: Foundation Classes - deprecate TCollection classes except strings

Removed remnants of generic templates in TCollection package.
Affected Issues
0029642
mod - dox/debug/debug.md Diff File
mod - dox/debug/occt.natvis Diff File
mod - dox/user_guides/modeling_data/modeling_data.md Diff File
mod - samples/qt/OCCTOverview/src/OcctHighlighter.cxx Diff File
mod - src/TCollection/FILES Diff File
mod - src/TCollection/TCollection.hxx Diff File
rm - src/TCollection/TCollection_Array1.gxx Diff File
rm - src/TCollection/TCollection_Array1.lxx Diff File
rm - src/TCollection/TCollection_Array2.gxx Diff File
rm - src/TCollection/TCollection_Array2.lxx Diff File
rm - src/TCollection/TCollection_BaseSequence.cxx Diff File
rm - src/TCollection/TCollection_BaseSequence.hxx Diff File
rm - src/TCollection/TCollection_BaseSequence.lxx Diff File
rm - src/TCollection/TCollection_BasicMap.cxx Diff File
rm - src/TCollection/TCollection_BasicMap.hxx Diff File
rm - src/TCollection/TCollection_BasicMap.lxx Diff File
rm - src/TCollection/TCollection_BasicMapIterator.cxx Diff File
rm - src/TCollection/TCollection_BasicMapIterator.hxx Diff File
rm - src/TCollection/TCollection_BasicMapIterator.lxx Diff File
rm - src/TCollection/TCollection_DataMap.gxx Diff File
rm - src/TCollection/TCollection_DataMapIterator.gxx Diff File
rm - src/TCollection/TCollection_DataMapNode.gxx Diff File
rm - src/TCollection/TCollection_DataMapNode.lxx Diff File
rm - src/TCollection/TCollection_DoubleMap.gxx Diff File
rm - src/TCollection/TCollection_DoubleMapIterator.gxx Diff File
rm - src/TCollection/TCollection_DoubleMapNode.gxx Diff File
rm - src/TCollection/TCollection_DoubleMapNode.lxx Diff File
rm - src/TCollection/TCollection_HArray1.gxx Diff File
rm - src/TCollection/TCollection_HArray1.lxx Diff File
rm - src/TCollection/TCollection_HArray2.gxx Diff File
rm - src/TCollection/TCollection_HArray2.lxx Diff File
rm - src/TCollection/TCollection_HSequence.gxx Diff File
rm - src/TCollection/TCollection_HSequence.lxx Diff File
rm - src/TCollection/TCollection_IndexedDataMap.gxx Diff File
rm - src/TCollection/TCollection_IndexedDataMapNode.gxx Diff File
rm - src/TCollection/TCollection_IndexedDataMapNode.lxx Diff File
rm - src/TCollection/TCollection_IndexedMap.gxx Diff File
rm - src/TCollection/TCollection_IndexedMapNode.gxx Diff File
rm - src/TCollection/TCollection_IndexedMapNode.lxx Diff File
rm - src/TCollection/TCollection_List.gxx Diff File
rm - src/TCollection/TCollection_List.lxx Diff File
rm - src/TCollection/TCollection_ListIterator.gxx Diff File
rm - src/TCollection/TCollection_ListIterator.lxx Diff File
rm - src/TCollection/TCollection_ListNode.gxx Diff File
rm - src/TCollection/TCollection_ListNode.lxx Diff File
rm - src/TCollection/TCollection_Map.gxx Diff File
rm - src/TCollection/TCollection_MapHasher.gxx Diff File
rm - src/TCollection/TCollection_MapIterator.gxx Diff File
rm - src/TCollection/TCollection_MapNode.cxx Diff File
rm - src/TCollection/TCollection_MapNode.hxx Diff File
rm - src/TCollection/TCollection_MapNode.lxx Diff File
rm - src/TCollection/TCollection_MapNodePtr.hxx Diff File
rm - src/TCollection/TCollection_SeqNode.cxx Diff File
rm - src/TCollection/TCollection_SeqNode.hxx Diff File
rm - src/TCollection/TCollection_SeqNode.lxx Diff File
rm - src/TCollection/TCollection_SeqNodePtr.hxx Diff File
rm - src/TCollection/TCollection_Sequence.gxx Diff File
rm - src/TCollection/TCollection_Sequence.lxx Diff File
rm - src/TCollection/TCollection_SequenceNode.gxx Diff File
rm - src/TCollection/TCollection_SequenceNode.lxx Diff File
rm - src/TCollection/TCollection_Side.hxx Diff File
rm - src/TCollection/TCollection_StdMapNode.gxx Diff File
rm - src/TCollection/TCollection_StdMapNode.lxx Diff File

occt-products: master fbd1b1f0

2020-11-17 09:53:28

kgv


Committer: bugmaster Details Diff
0029642: Foundation Classes - deprecate TCollection classes except strings

Drop wrapping of TCollection_BasicMap and TCollection_BaseSequence classes.
Affected Issues
0029642
mod - diff Diff File

Issue History

Date Modified Username Field Change
2018-03-24 20:50 abv New Issue
2018-03-24 20:50 abv Assigned To => abv
2019-09-04 15:36 abv Target Version 7.4.0 => 7.5.0
2020-09-11 16:13 utverdov Target Version 7.5.0 => 7.6.0
2020-11-16 22:05 abv Relationship added related to 0031636
2020-11-16 22:07 abv Note Added: 0096801
2020-11-16 22:16 kgv Relationship added related to 0030165
2020-11-16 22:30 kgv Relationship added parent of 0031943
2020-11-17 09:44 kgv Summary Deprecate TCollection classes except strings => Foundation Classes - deprecate TCollection classes except strings
2020-11-17 09:45 git Note Added: 0096813
2020-11-17 10:00 git Note Added: 0096816
2020-11-17 10:00 git Note Added: 0096817
2020-11-17 19:13 kgv Note Added: 0096844
2020-11-17 19:13 kgv Assigned To abv => osa
2020-11-17 19:13 kgv Status new => resolved
2020-11-17 19:15 git Note Added: 0096845
2020-11-18 10:08 git Note Added: 0096863
2020-11-18 10:28 osa Note Added: 0096865
2020-11-18 10:28 osa Assigned To osa => bugmaster
2020-11-18 10:28 osa Status resolved => reviewed
2020-11-18 10:49 git Note Added: 0096866
2020-11-21 12:39 bugmaster Changeset attached => occt master 81ff4915
2020-11-21 12:39 bugmaster Status reviewed => verified
2020-11-21 12:39 bugmaster Resolution open => fixed
2020-11-21 12:42 bugmaster Note Added: 0096929
2020-11-21 12:45 bugmaster Test case number => Not required
2020-11-21 13:27 git Note Added: 0096947
2021-12-17 18:41 bugmaster Changeset attached => occt-products master fbd1b1f0